package cz.cuni.amis.pogamut.ut2004.communication.translator.events;


import cz.cuni.amis.pogamut.base.communication.translator.IdentityWrapper;
import java.util.List;

import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.MapList;


/**
 * TODO implement the FSM logic for this event
 * @author ik
 */

public class MapListObtained  extends IdentityWrapper {

	private List<MapList> maps;

	public MapListObtained(List<MapList> list) {
		this.maps = list;
	}

	public List<MapList> getMaps() {
		return maps;
	}

	public String toString() {
		return "MutatorListObtained[mutators.size() = " + maps.size() + "]";
	}

}
